Bug 1189171 - Review Request: python-antlr - Python runtime support for ANTLR-generated parsers
Summary: Review Request: python-antlr - Python runtime support for ANTLR-generated par...
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: Package Review
Version: el6
Hardware: All
OS: Linux
high
medium
Target Milestone: ---
Assignee: Germano Massullo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 1190148
TreeView+ depends on / blocked
 
Reported: 2015-02-04 15:47 UTC by Dominik 'Rathann' Mierzejewski
Modified: 2018-03-27 19:05 UTC (History)
7 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-03-27 19:05:40 UTC
germano.massullo: fedora-review+


Attachments (Terms of Use)

Description Dominik 'Rathann' Mierzejewski 2015-02-04 15:47:13 UTC
Spec URL: https://rathann.fedorapeople.org/review/antlr-python/antlr-python.spec
SRPM URL: https://rathann.fedorapeople.org/review/antlr-python/antlr-python-2.7.7-1.el6.src.rpm
Description:
ANTLR, ANother Tool for Language Recognition, (formerly PCCTS) is a
language tool that provides a framework for constructing recognizers,
compilers, and translators from grammatical descriptions containing
C++ or Java actions [You can use PCCTS 1.xx to generate C-based
parsers].

This package contains the Python runtime support for ANTLR-generated
parsers.

Fedora Account System Username: rathann

NOTE: this EL6-only package supplements RHEL6 package antlr, which is missing the Python runtime support. It can probably be built on EL5 as well, but I'm not interested in EL5 anymore.

Comment 1 Carlos Morel-Riquelme 2015-02-06 07:28:02 UTC
Hello Dominik here is the output of fedora-review

Rpmlint
-------
Checking: antlr-python-2.7.7-1.fc22.noarch.rpm
          antlr-python-2.7.7-1.fc22.src.rpm
antlr-python.noarch: W: spelling-error Summary(en_US) runtime -> run time, run-time, rudiment
antlr-python.noarch: W: spelling-error Summary(en_US) parsers -> parser, parses, parers
antlr-python.noarch: W: spelling-error %description -l en_US recognizers -> recognizer, recognizes, recognize rs
antlr-python.noarch: W: spelling-error %description -l en_US parsers -> parser, parses, parers
antlr-python.noarch: W: spelling-error %description -l en_US runtime -> run time, run-time, rudiment
antlr-python.noarch: W: non-standard-group Development/Code Generators
antlr-python.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/antlr-python/LICENSE.txt
antlr-python.src: W: spelling-error Summary(en_US) runtime -> run time, run-time, rudiment
antlr-python.src: W: spelling-error Summary(en_US) parsers -> parser, parses, parers
antlr-python.src: W: spelling-error %description -l en_US recognizers -> recognizer, recognizes, recognize rs
antlr-python.src: W: spelling-error %description -l en_US parsers -> parser, parses, parers
antlr-python.src: W: spelling-error %description -l en_US runtime -> run time, run-time, rudiment
antlr-python.src: W: non-standard-group Development/Code Generators
2 packages and 0 specfiles checked; 0 errors, 13 warnings.


W: spelling-error 
Please change in the Summary the next words
- runtime -> to run time or rudiment
- parsers -> to parser, parses or parers

Also change in the %description the next words
- recognizers -> to recognizer, recognizes or recognize rs
- parsers -> to parser, parses, parers
- runtime -> to run time, run-time, rudiment

W: non-standar-group
Please change the "Development/Code Generators" to a valid GROUP
http://fedoraproject.org/wiki/RPMGroups

Amusements/Games
Amusements/Graphics
Applications/Archiving
Applications/Communications
Applications/Databases
Applications/Editors
Applications/Emulators
Applications/Engineering
Applications/File
Applications/Internet
Applications/Multimedia
Applications/Productivity
Applications/Publishing
Applications/System
Applications/Text
Development/Debuggers
Development/Languages
Development/Libraries
Development/System
Development/Tools
Documentation
System Environment/Base
System Environment/Daemons
System Environment/Kernel
System Environment/Libraries
System Environment/Shells
User Interface/Desktops
User Interface/X
User Interface/X Hardware Support

W:  wrong-file-end-of-line-encoding

Please read this -> http://fedoraproject.org/wiki/Common_Rpmlint_issues#wrong-file-end-of-line-encoding

Basically to need strip all .txt files, i usually add this lines in the %build section for strip the .txt files

%build
for docfile in *.txt; do
    fold -s $docfile > $docfile.new && \
    sed -i "s|\r||g" $docfile.new && \
    touch -r $docfile $docfile.new && \
    mv $docfile.new $docfile
done 

it's all i hope that my english can be understandable

My best regards from Chile.

Comment 2 Dominik 'Rathann' Mierzejewski 2015-02-06 11:01:54 UTC
Spec URL: https://rathann.fedorapeople.org/review/antlr-python/antlr-python.spec
SRPM URL: https://rathann.fedorapeople.org/review/antlr-python/antlr-python-2.7.7-2.el6.src.rpm

* Fri Feb 06 2015 Dominik Mierzejewski <rpm@greysector.net> 2.7.7-2
- fix non-standard Group: tag
- fix end-of-line encoding in LICENSE.txt

The spelling errors highlighted by rpmlint are not really errors, so I'm going to leave the description as-is. I fixed the rest. Thanks for the review, Carlos.

Comment 3 Zbigniew Jędrzejewski-Szmek 2015-07-09 18:05:12 UTC
The package is OK. The only thing that is missing is the review + flag. Carlos, care to set it?

Comment 4 gil cattaneo 2016-03-24 19:22:20 UTC
hi
Why do not ask to become co-maintainer or "Request a new branch" for
https://admin.fedoraproject.org/pkgdb/package/rpms/antlr/ ?
this package already provides this feature
regards

Comment 5 Dominik 'Rathann' Mierzejewski 2016-03-29 08:54:30 UTC
Because antlr is packaged in RHEL.

Comment 6 Germano Massullo 2016-10-20 08:25:41 UTC
Oops

Comment 7 Germano Massullo 2016-10-20 08:57:27 UTC
License file LICENSE.txt is not marked as %license
See: http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text

Comment 8 Dominik 'Rathann' Mierzejewski 2017-07-10 21:41:43 UTC
Sorry, I don't know how I missed your comment.

Spec URL: https://rathann.fedorapeople.org/review/antlr-python/antlr-python.spec
SRPM URL: https://rathann.fedorapeople.org/review/antlr-python/antlr-python-2.7.7-3.el6.src.rpm

* Mon Jul 10 2017 Dominik Mierzejewski <rpm@greysector.net> 2.7.7-3
- mark LICENSE.txt with license macro

Comment 9 Miro Hrončok 2017-07-12 09:09:26 UTC
Note that this should be called python-antlr, not antlr-python.

Comment 10 Miro Hrončok 2017-07-12 09:20:03 UTC
Several other notes:

 * please use %py2_build and %py2_install, they are available on EPEL 6
 * while not necessary in EPEL6, please also provide python2-antlr to make it easier if someone want's to require this on Both Fedora an EPEL in the future

Also, I realize that antlr-python is in Fedora as a subpackage of antlr, so you use the same name, but that name is wrong. Feel free to provide it to make it easier for others.

Comment 11 Germano Massullo 2017-07-12 09:22:17 UTC
Ok so I wait for a new spec/srpm before proceeding.
And another thing. Please remove the big comment block at the beginning of spec file, because LICENSE file is the proper place to insert licensing stuff

Comment 12 Miro Hrončok 2017-07-12 09:24:03 UTC
See bz1470013

Comment 13 Miro Hrončok 2017-07-12 09:24:50 UTC
(In reply to Germano Massullo from comment #11)
> And another thing. Please remove the big comment block at the beginning of
> spec file, because LICENSE file is the proper place to insert licensing stuff

I would think of that comment block as a license for the specfile itself, not the package content. This is not forbidden in Fedora.

Comment 14 Dominik 'Rathann' Mierzejewski 2017-07-12 10:21:05 UTC
Thanks for the comments, Miro. I'll address them soon.

(In reply to Miro Hrončok from comment #13)
> (In reply to Germano Massullo from comment #11)
> > And another thing. Please remove the big comment block at the beginning of
> > spec file, because LICENSE file is the proper place to insert licensing stuff
> 
> I would think of that comment block as a license for the specfile itself,
> not the package content. This is not forbidden in Fedora.

That's correct. Also, I wanted to minimize divergence from RHEL spec.

Comment 15 Germano Massullo 2017-07-13 15:21:33 UTC
(In reply to Dominik 'Rathann' Mierzejewski from comment #14)
> Thanks for the comments, Miro. I'll address them soon.
> 
> (In reply to Miro Hrončok from comment #13)
> > (In reply to Germano Massullo from comment #11)
> > > And another thing. Please remove the big comment block at the beginning of
> > > spec file, because LICENSE file is the proper place to insert licensing stuff
> > 
> > I would think of that comment block as a license for the specfile itself,
> > not the package content. This is not forbidden in Fedora.
> 
> That's correct. Also, I wanted to minimize divergence from RHEL spec.

Okay

Comment 16 Dominik 'Rathann' Mierzejewski 2017-07-20 11:03:18 UTC
Spec URL: https://rathann.fedorapeople.org/review/python-antlr/python-antlr.spec
SRPM URL: https://rathann.fedorapeople.org/review/python-antlr/python-antlr-2.7.7-4.fc26.src.rpm

* Thu Jul 20 2017 Dominik Mierzejewski <rpm@greysector.net> 2.7.7-4
- rename to python-antlr
- add backwards compatibility Provides:
- use modern python macros
- drop the license block at the beginning, this spec has nothing in
  common with the RHEL one anymore

Comment 17 Miro Hrončok 2017-07-20 14:05:33 UTC
One more thing: I know the Python version is always going to be 2.6 here, but I'd prefer to use a macro: %{python2_version}.

Comment 18 Dominik 'Rathann' Mierzejewski 2017-07-20 14:25:38 UTC
I thought it was missing on EPEL6, but it's there alright. Since this is a one-line change, I just rebuilt the src.rpm and put it in the same place.

Comment 19 Dominik 'Rathann' Mierzejewski 2018-02-23 12:38:59 UTC
Anything else missing to get this approved?

Comment 20 Germano Massullo 2018-02-23 16:19:12 UTC
PACKAGE APPROVED



This is a review *template*. Besides handling the [ ]-marked tests you are
also supposed to fix the template before pasting into bugzilla:
- Add issues you find to the list of issues on top. If there isn't such
  a list, create one.
- Add your own remarks to the template checks.
- Add new lines marked [!] or [?] when you discover new things not
  listed by fedora-review.
- Change or remove any text in the template which is plain wrong. In this
  case you could also file a bug against fedora-review
- Remove the "[ ] Manual check required", you will not have any such lines
  in what you paste.
- Remove attachments which you deem not really useful (the rpmlint
  ones are mandatory, though)
- Remove this text



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- If (and only if) the source package includes the text of the license(s)
  in its own file, then that file, containing the text of the license(s)
  for the package is included in %license.
  Note: License file LICENSE.txt is not marked as %license
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "NTP", "BSD (3 clause)", "BSD
     (unspecified)", "*No copyright* BSD (unspecified)", "GPL (v2 or later)
     (with incorrect FSF address)". 1155 files have unknown license.
     Detailed output of licensecheck in /home/caterpillar/canc/python-
     antlr/licensecheck.txt
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib/python2.6,
     /usr/lib/python2.6/site-packages
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: python2-antlr-2.7.7-4.el6.noarch.rpm
          python-antlr-2.7.7-4.el6.src.rpm
python2-antlr.noarch: W: spelling-error %description -l en_US recognizers -> recognizer, recognizes, recognize rs
python2-antlr.noarch: W: spelling-error %description -l en_US parsers -> parser, parses, parers
python-antlr.src: W: spelling-error Summary(en_US) parsers -> parser, parses, parers
python-antlr.src: W: spelling-error %description -l en_US recognizers -> recognizer, recognizes, recognize rs
python-antlr.src: W: spelling-error %description -l en_US parsers -> parser, parses, parers
2 packages and 0 specfiles checked; 0 errors, 5 warnings.




Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Requires
--------
python2-antlr (rpmlib, GLIBC filtered):
    python(abi)



Provides
--------
python2-antlr:
    antlr-python
    python-antlr
    python2-antlr



Source checksums
----------------
http://www.antlr2.org/download/antlr-2.7.7.tar.gz :
  CHECKSUM(SHA256) this package     : 853aeb021aef7586bda29e74a6b03006bcb565a755c86b66032d8ec31b67dbb9
  CHECKSUM(SHA256) upstream package : 853aeb021aef7586bda29e74a6b03006bcb565a755c86b66032d8ec31b67dbb9


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -rn python-antlr-2.7.7-4.fc26.src.rpm -m epel-6-x86_64
Buildroot used: epel-6-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 21 Gwyn Ciesla 2018-03-08 13:52:25 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-antlr

Comment 22 Fedora Update System 2018-03-09 15:04:58 UTC
python-antlr-2.7.7-5.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-2a2c9fbdde

Comment 23 Fedora Update System 2018-03-11 20:11:51 UTC
python-antlr-2.7.7-5.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-2a2c9fbdde

Comment 24 Fedora Update System 2018-03-27 19:05:40 UTC
python-antlr-2.7.7-5.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.